Name:           icoutils
Version:        0.31.3
Release:        %mkrel 1
Summary:        Extract and convert bitmaps from Windows icon and cursor files
Group:          Graphics/Utilities
License:        GPLv3+
URL:            http://www.nongnu.org/icoutils
Source0:        http://savannah.nongnu.org/download/icoutils/%{name}-%{version}.tar.bz2

BuildRequires:  pkgconfig(libpng)
Requires:       perl

%description
The icoutils are a set of program for extracting and converting
bitmaps from Microsoft Windows icon and cursor files. These files
usually have the extension .ico or .cur, but they can also be
embedded in executables and libraries (.dll-files). (Such embedded
files are referred to as resources.)

%prep
%autosetup -p1

%build
%configure2_5x
%make_build

%install
%make_install

cp extresso/extresso extresso/genresscript %{buildroot}%{_bindir}
cp extresso/extresso.1 extresso/genresscript.1 %{buildroot}%{_mandir}/man1

%find_lang %{name}

%files -f %{name}.lang
%doc README AUTHORS ChangeLog NEWS TODO
%{_bindir}/extresso
%{_bindir}/genresscript
%{_bindir}/icotool
%{_bindir}/wrestool
%{_mandir}/man1/*.1*


%changelog
* Tue Mar 14 2017 akien <akien> 0.31.3-1.mga5
+ Revision: 1092606
- Version 0.31.3 (fixes CVE-2017-60{09,10,11})

  + luigiwalser <luigiwalser>
    - 0.31.1
    - remove upstreamed patch
    - add patch from debian to fix crash in wrestool

* Wed Oct 15 2014 umeabot <umeabot> 0.31.0-4.mga5
+ Revision: 743813
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.31.0-3.mga5
+ Revision: 680455
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.31.0-2.mga4
+ Revision: 528423
- Mageia 4 Mass Rebuild

* Wed Jun 19 2013 dams <dams> 0.31.0-1.mga4
+ Revision: 445006
- new version 0.31.0

* Mon Jun 03 2013 fwang <fwang> 0.30.0-4.mga4
+ Revision: 435967
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 0.30.0-3.mga3
+ Revision: 354214
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Fri Dec 07 2012 dams <dams> 0.30.0-2.mga3
+ Revision: 327856
- update %%group

* Fri Sep 14 2012 dams <dams> 0.30.0-1.mga3
+ Revision: 293855
- new version 0.30.0
- clean specfile

* Wed Sep 14 2011 fwang <fwang> 0.29.1-2.mga2
+ Revision: 143362
- rebuild for new libpng

* Sat Mar 26 2011 wally <wally> 0.29.1-1.mga1
+ Revision: 77784
- drop buildroot definition
- clean .spec a bit
- imported package icoutils

